Skip to main content
PATCH
/
ranking
/
join-requests
/
{userId}
Accept join request
curl --request PATCH \
  --url https://api.readmin.app/ranking/join-requests/{userId} \
  --header 'api-key: <api-key>'
import requests

url = "https://api.readmin.app/ranking/join-requests/{userId}"

headers = {"api-key": "<api-key>"}

response = requests.patch(url, headers=headers)

print(response.text)
const options = {method: 'PATCH', headers: {'api-key': '<api-key>'}};

fetch('https://api.readmin.app/ranking/join-requests/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "User was accepted into the group."
}
{
"success": false,
"reason": "Missing userId"
}
{
"success": false,
"reason": "Join Request management is not enabled for this key"
}
{
"success": false,
"reason": "User not found."
}
{
"success": false,
"reason": "Bot is logged out, action has been marked as failed."
}

Authorizations

api-key
string
header
required

Path Parameters

userId
string
required

Response

Success

success
boolean
default:true
message
enum<string>
Available options:
User was accepted into the group.